Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Runge <dvzrv@archlinux.org>2021-07-31 16:32:48 +0200
committerDavid Runge <dvzrv@archlinux.org>2021-07-31 17:32:40 +0200
commit37529a96766a5841fc6561acfbfbf42b3d6ff98a (patch)
tree14538b925812f0d6a30672c21e8952609ff28619
parenta5f57c2bfa3f7b380f572b4e86845113d6b9ef15 (diff)
Fix formatting with shfmt
{hooks,install,script}/*: Fix formatting in all scripts using shfmt. Replace a few echo calls with printf.
-rw-r--r--hooks/archiso29
-rw-r--r--hooks/archiso_loop_mnt6
-rw-r--r--hooks/archiso_pxe_common20
-rw-r--r--hooks/archiso_pxe_http2
-rw-r--r--hooks/archiso_pxe_nbd4
-rw-r--r--install/archiso8
-rw-r--r--install/archiso_kms2
-rw-r--r--install/archiso_loop_mnt2
-rw-r--r--install/archiso_pxe_common4
-rw-r--r--install/archiso_pxe_http2
-rw-r--r--install/archiso_pxe_nbd2
-rw-r--r--script/archiso_shutdown6
12 files changed, 43 insertions, 44 deletions
diff --git a/hooks/archiso b/hooks/archiso
index d897ae1..742fbbf 100644
--- a/hooks/archiso
+++ b/hooks/archiso
@@ -7,13 +7,13 @@ _mnt_dmsnapshot() {
local img="${1}"
local newroot="${2}"
local mnt="${3}"
- local img_fullname="${img##*/}";
+ local img_fullname="${img##*/}"
local img_name="${img_fullname%%.*}"
local dm_snap_name="${dm_snap_prefix}_${img_name}"
local ro_dev ro_dev_size rw_dev
ro_dev="$(losetup --find --show --read-only -- "${img}")"
- echo "${ro_dev}" >> /run/archiso/used_block_devices
+ printf '%s\n' "${ro_dev}" >>/run/archiso/used_block_devices
ro_dev_size="$(blockdev --getsz "${ro_dev}")"
if [ "${cow_persistent}" = "P" ]; then
@@ -33,7 +33,7 @@ _mnt_dmsnapshot() {
fi
rw_dev="$(losetup --find --show "/run/archiso/cowspace/${cow_directory}/${img_name}.cow")"
- echo "${rw_dev}" >> /run/archiso/used_block_devices
+ printf '%s\n' "${rw_dev}" >>/run/archiso/used_block_devices
dmsetup create "${dm_snap_name}" --table \
"0 ${ro_dev_size} snapshot ${ro_dev} ${rw_dev} ${cow_persistent} ${cow_chunksize}"
@@ -43,7 +43,7 @@ _mnt_dmsnapshot() {
fi
_mnt_dev "/dev/mapper/${dm_snap_name}" "${newroot}${mnt}" "-w" "defaults"
- readlink -f "/dev/mapper/${dm_snap_name}" >> /run/archiso/used_block_devices
+ readlink -f "/dev/mapper/${dm_snap_name}" >>/run/archiso/used_block_devices
}
# args: source, newroot, mountpoint
@@ -53,11 +53,10 @@ _mnt_overlayfs() {
local mnt="${3}"
mkdir -p "/run/archiso/cowspace/${cow_directory}/upperdir" "/run/archiso/cowspace/${cow_directory}/workdir"
mount -t overlay -o \
- "lowerdir=${src},upperdir=/run/archiso/cowspace/${cow_directory}/upperdir,workdir=/run/archiso/cowspace/${cow_directory}/workdir" \
- airootfs "${newroot}${mnt}"
+ "lowerdir=${src},upperdir=/run/archiso/cowspace/${cow_directory}/upperdir,workdir=/run/archiso/cowspace/${cow_directory}/workdir" \
+ airootfs "${newroot}${mnt}"
}
-
# args: /path/to/image_file, mountpoint
_mnt_sfs() {
local img="${1}"
@@ -72,9 +71,9 @@ _mnt_sfs() {
# in case we have pv use it to display copy progress feedback otherwise
# fallback to using plain cp
- if command -v pv > /dev/null 2>&1; then
+ if command -v pv >/dev/null 2>&1; then
echo ""
- (pv "${img}" > "/run/archiso/copytoram/${img_fullname}")
+ (pv "${img}" >"/run/archiso/copytoram/${img_fullname}")
local rc=$?
else
(cp -- "${img}" "/run/archiso/copytoram/${img_fullname}")
@@ -90,7 +89,7 @@ _mnt_sfs() {
msg "done."
fi
sfs_dev="$(losetup --find --show --read-only -- "${img}")"
- echo "${sfs_dev}" >> /run/archiso/used_block_devices
+ echo "${sfs_dev}" >>/run/archiso/used_block_devices
_mnt_dev "${sfs_dev}" "${mnt}" "-r" "defaults"
}
@@ -105,7 +104,7 @@ _mnt_erofs() {
# defined via initcpio's parse_cmdline()
if [ "${copytoram}" = "y" ]; then
msg -n ":: Copying EROFS image to RAM..."
- if ! cp -- "${img}" "/run/archiso/copytoram/${img_fullname}" ; then
+ if ! cp -- "${img}" "/run/archiso/copytoram/${img_fullname}"; then
echo "ERROR: while copy '${img}' to '/run/archiso/copytoram/${img_fullname}'"
launch_interactive_shell
fi
@@ -113,7 +112,7 @@ _mnt_erofs() {
msg "done."
fi
erofs_dev="$(losetup --find --show --read-only -- "${img}")"
- echo "${erofs_dev}" >> /run/archiso/used_block_devices
+ echo "${erofs_dev}" >>/run/archiso/used_block_devices
_mnt_dev "${erofs_dev}" "${mnt}" "-r" "defaults" "erofs"
}
@@ -149,7 +148,7 @@ _mnt_dev() {
_verify_checksum() {
local _status
cd "/run/archiso/bootmnt/${archisobasedir}/${arch}" || exit 1
- sha512sum -c airootfs.sha512 > /tmp/checksum.log 2>&1
+ sha512sum -c airootfs.sha512 >/tmp/checksum.log 2>&1
_status=$?
cd -- "${OLDPWD}" || exit 1
return "${_status}"
@@ -203,7 +202,7 @@ archiso_mount_handler() {
if ! mountpoint -q "/run/archiso/bootmnt"; then
_mnt_dev "${archisodevice}" "/run/archiso/bootmnt" "-r" "defaults"
if [ "${copytoram}" != "y" ]; then
- readlink -f "${archisodevice}" >> /run/archiso/used_block_devices
+ readlink -f "${archisodevice}" >>/run/archiso/used_block_devices
fi
fi
@@ -255,7 +254,7 @@ archiso_mount_handler() {
if [ -n "${cow_device}" ]; then
_mnt_dev "${cow_device}" "/run/archiso/cowspace" "-r" "${cow_flags}"
- readlink -f "${cow_device}" >> /run/archiso/used_block_devices
+ readlink -f "${cow_device}" >>/run/archiso/used_block_devices
mount -o remount,rw "/run/archiso/cowspace"
else
msg ":: Mounting /run/archiso/cowspace (tmpfs) filesystem, size=${cow_spacesize}..."
diff --git a/hooks/archiso_loop_mnt b/hooks/archiso_loop_mnt
index 41899e4..a5a71e8 100644
--- a/hooks/archiso_loop_mnt
+++ b/hooks/archiso_loop_mnt
@@ -2,7 +2,7 @@
#
# SPDX-License-Identifier: GPL-3.0-or-later
-run_hook () {
+run_hook() {
# shellcheck disable=SC2154
# defined via initcpio's parse_cmdline()
[ -n "${img_label}" ] && img_dev="/dev/disk/by-label/${img_label}"
@@ -14,7 +14,7 @@ run_hook () {
fi
}
-archiso_loop_mount_handler () {
+archiso_loop_mount_handler() {
newroot="${1}"
local _dev_loop
@@ -24,7 +24,7 @@ archiso_loop_mount_handler () {
# shellcheck disable=SC2154
# defined via initcpio's parse_cmdline()
if [ "${copytoram}" != "y" ]; then
- readlink -f "${img_dev}" >> /run/archiso/used_block_devices
+ readlink -f "${img_dev}" >>/run/archiso/used_block_devices
fi
if _dev_loop=$(losetup --find --show --read-only "/run/archiso/img_dev/${img_loop}"); then
diff --git a/hooks/archiso_pxe_common b/hooks/archiso_pxe_common
index 00507cb..6cadc34 100644
--- a/hooks/archiso_pxe_common
+++ b/hooks/archiso_pxe_common
@@ -2,7 +2,7 @@
#
# SPDX-License-Identifier: GPL-3.0-or-later
-run_hook () {
+run_hook() {
# Do *not* declare 'bootif_dev' local! We need it in run_latehook().
local i net_mac bootif_mac
local DNSDOMAIN HOSTNAME IPV4DNS0 IPV4DNS1 ROOTSERVER
@@ -17,7 +17,7 @@ run_hook () {
# ash supports bash-like string replacment
bootif_mac="${bootif_mac//-/:}"
for i in /sys/class/net/*/address; do
- read -r net_mac < "${i}"
+ read -r net_mac <"${i}"
if [ "${bootif_mac}" = "${net_mac}" ]; then
bootif_dev=${i#/sys/class/net/}
bootif_dev=${bootif_dev%/address}
@@ -47,20 +47,20 @@ run_hook () {
# setup DNS resolver
if [ "${IPV4DNS0}" != "0.0.0.0" ]; then
- echo "# added by archiso_pxe_common hook" > /etc/resolv.conf
- echo "nameserver ${IPV4DNS0}" >> /etc/resolv.conf
+ echo "# added by archiso_pxe_common hook" >/etc/resolv.conf
+ echo "nameserver ${IPV4DNS0}" >>/etc/resolv.conf
fi
if [ "${IPV4DNS1}" != "0.0.0.0" ]; then
- echo "nameserver ${IPV4DNS1}" >> /etc/resolv.conf
+ echo "nameserver ${IPV4DNS1}" >>/etc/resolv.conf
fi
if [ -n "${DNSDOMAIN}" ]; then
- echo "search ${DNSDOMAIN}" >> /etc/resolv.conf
- echo "domain ${DNSDOMAIN}" >> /etc/resolv.conf
+ echo "search ${DNSDOMAIN}" >>/etc/resolv.conf
+ echo "domain ${DNSDOMAIN}" >>/etc/resolv.conf
fi
fi
}
-run_latehook () {
+run_latehook() {
if [ -n "${ip}" ]; then
[ -z "${copy_resolvconf}" ] && copy_resolvconf="y"
@@ -73,8 +73,8 @@ run_latehook () {
ip link set "${netdev}" down
done
elif [ "${copy_resolvconf}" != "n" ] && [ -f /etc/resolv.conf ]; then
- rm -f /new_root/etc/resolv.conf
- cp /etc/resolv.conf /new_root/etc/resolv.conf
+ rm -f -- /new_root/etc/resolv.conf
+ cp -- /etc/resolv.conf /new_root/etc/resolv.conf
fi
fi
}
diff --git a/hooks/archiso_pxe_http b/hooks/archiso_pxe_http
index 43b8b4b..db75703 100644
--- a/hooks/archiso_pxe_http
+++ b/hooks/archiso_pxe_http
@@ -37,7 +37,7 @@ _curl_get() {
fi
}
-archiso_pxe_http_mount_handler () {
+archiso_pxe_http_mount_handler() {
newroot="${1}"
local img_type="sfs"
diff --git a/hooks/archiso_pxe_nbd b/hooks/archiso_pxe_nbd
index 8ac44e7..2e363d9 100644
--- a/hooks/archiso_pxe_nbd
+++ b/hooks/archiso_pxe_nbd
@@ -7,7 +7,7 @@ run_earlyhook() {
# defined via initcpio's parse_cmdline()
if [ -n "${ip}" ] && [ -n "${archiso_nbd_srv}" ]; then
# Module autoloading like with loop devices does not work, doing manually...
- modprobe nbd 2> /dev/null
+ modprobe nbd 2>/dev/null
fi
}
@@ -21,7 +21,7 @@ run_hook() {
fi
}
-archiso_pxe_nbd_mount_handler () {
+archiso_pxe_nbd_mount_handler() {
newroot="${1}"
msg ":: Waiting for boot device..."
diff --git a/install/archiso b/install/archiso
index c64e10e..d04e04f 100644
--- a/install/archiso
+++ b/install/archiso
@@ -19,10 +19,10 @@ build() {
add_binary gpg
add_binary grep
- if command -v pv > /dev/null 2>&1; then
- add_binary pv
+ if command -v pv >/dev/null 2>&1; then
+ add_binary pv
else
- warning 'pv not found; falling back to cp for copy to RAM'
+ warning 'pv not found; falling back to cp for copy to RAM'
fi
add_file /usr/lib/udev/rules.d/60-cdrom_id.rules
@@ -31,6 +31,6 @@ build() {
add_file /usr/lib/initcpio/udev/11-dm-initramfs.rules /usr/lib/udev/rules.d/11-dm-initramfs.rules
if [[ $ARCHISO_GNUPG_FD ]]; then
mkdir -m 0700 -- "$BUILDROOT/gpg"
- gpg --homedir "$BUILDROOT/gpg" --import <& "$ARCHISO_GNUPG_FD"
+ gpg --homedir "$BUILDROOT/gpg" --import <&"$ARCHISO_GNUPG_FD"
fi
}
diff --git a/install/archiso_kms b/install/archiso_kms
index 8129127..018f574 100644
--- a/install/archiso_kms
+++ b/install/archiso_kms
@@ -24,7 +24,7 @@ build() {
}
help() {
- cat << HELPEOF
+ cat <<HELPEOF
Adds all common KMS drivers to the initramfs image.
HELPEOF
}
diff --git a/install/archiso_loop_mnt b/install/archiso_loop_mnt
index 1f2c529..f0fed76 100644
--- a/install/archiso_loop_mnt
+++ b/install/archiso_loop_mnt
@@ -7,7 +7,7 @@ build() {
}
help() {
-cat<<HELPEOF
+ cat <<HELPEOF
This hook loads the necessary modules for boot via loop device.
HELPEOF
}
diff --git a/install/archiso_pxe_common b/install/archiso_pxe_common
index 458fa69..ad96c32 100644
--- a/install/archiso_pxe_common
+++ b/install/archiso_pxe_common
@@ -16,11 +16,11 @@ build() {
add_binary "$(readlink -f /usr/lib/libnss_dns.so.2)"
add_dir /etc
- echo "hosts: files dns" > "$BUILDROOT/etc/nsswitch.conf"
+ printf "hosts: files dns\n" >"$BUILDROOT/etc/nsswitch.conf"
}
help() {
-cat<<HELPEOF
+ cat <<HELPEOF
This hook loads the necessary modules for boot via PXE.
HELPEOF
}
diff --git a/install/archiso_pxe_http b/install/archiso_pxe_http
index 1e80852..afdde43 100644
--- a/install/archiso_pxe_http
+++ b/install/archiso_pxe_http
@@ -11,7 +11,7 @@ build() {
}
help() {
-cat<<HELPEOF
+ cat <<HELPEOF
This hook loads the necessary modules for boot via PXE and HTTP.
HELPEOF
}
diff --git a/install/archiso_pxe_nbd b/install/archiso_pxe_nbd
index b4fb3b6..2d19f0e 100644
--- a/install/archiso_pxe_nbd
+++ b/install/archiso_pxe_nbd
@@ -11,7 +11,7 @@ build() {
}
help() {
-cat<<HELPEOF
+ cat <<HELPEOF
This hook loads the necessary modules for boot via PXE and NBD.
HELPEOF
}
diff --git a/script/archiso_shutdown b/script/archiso_shutdown
index 23a8a79..dd3bb96 100644
--- a/script/archiso_shutdown
+++ b/script/archiso_shutdown
@@ -14,7 +14,7 @@ dmsetup remove_all
# Remove all loopback devices.
for _lup in $(grep ^/dev/loop /oldrun/archiso/used_block_devices | tac); do
- if ! losetup -d -- "${_lup}" 2> /dev/null; then
+ if ! losetup -d -- "${_lup}" 2>/dev/null; then
umount -d -- "${_lup}"
fi
done
@@ -34,8 +34,8 @@ fi
# reboot / poweroff / halt, depending on the argument passed by init
# if something invalid is passed, we halt
case "$1" in
- reboot|poweroff|halt) "$1" -f ;;
- *) halt -f;;
+reboot | poweroff | halt) "$1" -f ;;
+*) halt -f ;;
esac
# vim: set ft=sh: